> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/describevpcs.md).

# DescribeVpcs

## 1. 接口描述

本接口(DescribeVpcs)用于本接口用于查询一个或多个指定VPC的信息。用户可以根据VPC ID、Subnet ID、 VPC节点ID、VPC名称等信息来搜索VPC信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型                                                                    | 描述                                                   |
| --------------- | -- | --------------------------------------------------------------------- | ---------------------------------------------------- |
| vpcIds          | 否  | Array of String                                                       | <p>VPC ID。</p><p>取值可以由多个VPC ID组成一个。最多支持100个ID查询。</p> |
| vpcName         | 否  | String                                                                | VPC的名称。                                              |
| cidrBlock       | 否  | String                                                                | VPC的CIDR。                                            |
| vpcStatus       | 否  | [VpcStatus](/api-reference/cn/compute/bmc/datastructure.md#vpcstatus) | VPC的状态。                                              |
| vpcRegionId     | 否  | String                                                                | VPC的节点ID。                                            |
| resourceGroupId | 否  | String                                                                | <p>资源组的ID。</p><p>如果不传，则返回该用户可见的所有资源组内的VPC。</p>       |
| pageSize        | 否  | Integer                                                               | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>                 |
| pageNum         | 否  | Integer                                                               | <p>返回的分页数。</p><p>默认值：1</p>                           |
| tagKeys         | 否  | Array of String                                                       | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>                |
| tags            | 否  | Array of [Tag](/api-reference/cn/compute/bmc/datastructure.md#tag)    | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>                  |

## 3. 响应结果

| 参数名称       | 类型                                                                         | 描述                                                       |
| ---------- | -------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                    | 符合条件的数据总数。                                               |
| dataSet    | Array of [VpcInfo](/api-reference/cn/compute/bmc/datastructure.md#vpcinfo) | VpcInfo结果集。                                              |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 分页查询Vpc列表**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVpcs
Request:
{
  "pageSize": 10,
  "pageNum": 1
}
Response:
{
  "requestId": "T890357C5-9793-4668-BB32-217134475DAC",
  "response": {
    "requestId": "T890357C5-9793-4668-BB32-217134475DAC",
    "totalCount": 9,
    "dataSet": [
      {
        "vpcId": "your-vpc-id",
        "vpcRegionId": "HKG5",
        "vpcRegionName": "HKG-A_C",
        "vpcName": "Test-VPC",
        "cidrBlock": "10.0.0.0/8",
        "createTime": "2022-08-01T00:00:00Z",
        "vpcStatus": "AVAILABLE",
        "resourceGroupId": "your-resource-group-id",
        "resourceGroupName": "Default Resource Group"
      }
      ...
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/vpc/describevpcs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
